#!/usr/bin/python3

import sys, getopt, revpimodio2, time

def str2bool(v):
  return v.lower() in ("True", "1", "true")

def main(argv):
        inparm = False
        if len(sys.argv) == 1:
                print('starttests.py -p <Boolean>')
                sys.exit(2)
        try:
                opts, args = getopt.getopt(argv, "p:", ["parm="])
        except getopt.GetoptError:
                print('starttests.py -p <Boolean>')
                sys.exit(2)
        for opt, arg in opts:
                if opt == '-p':
                        inparm = str2bool(arg)
                else:
                        print('Unknown Parameter ' , opt)
        print("Parameter to be set : ", inparm)
        rpi=revpimodio2.RevPiModIO(autorefresh=True)
        rpi.io.O_1.value=inparm
        rpi.io.O_2.value=inparm
        rpi.io.O_3.value=inparm
        rpi.io.O_4.value=inparm 
        rpi.io.O_5.value=inparm
        rpi.io.O_6.value=inparm
        rpi.io.O_7.value=inparm
        rpi.io.O_8.value=inparm
        rpi.io.O_9.value=inparm
        rpi.io.O_10.value=inparm
        rpi.io.O_11.value=inparm
        rpi.io.O_12.value=inparm
        rpi.io.O_13.value=inparm
        rpi.io.O_14.value=inparm
        rpi.io.O_15.value=inparm
        rpi.io.O_16.value=inparm
        time.sleep(1)

if __name__ == "__main__":
        main(sys.argv[1:])
