#!/usr/bin/python3

import sys, getopt, revpimodio2, time

def str2bool(v):
  return v.lower() in ("True", "1", "true")

def setOutputValue(rval, bp):
	rval = bp

def setDIOOutput(rpi, bp):
	sm = 0.5
	rpi.io.O_1_i06.value = bp
	time.sleep(sm)
	rpi.io.O_2_i06.value = bp
	time.sleep(sm)
	rpi.io.O_3_i06.value = bp
	time.sleep(sm)
	rpi.io.O_4_i06.value = bp
	time.sleep(sm)
	rpi.io.O_5_i06.value = bp
	time.sleep(sm)
	rpi.io.O_6_i06.value = bp
	time.sleep(sm)
	rpi.io.O_7_i06.value = bp
	time.sleep(sm)
	rpi.io.O_8_i06.value = bp
	time.sleep(sm)
	rpi.io.O_9_i06.value = bp
	time.sleep(sm)
	rpi.io.O_10_i06.value = bp
	time.sleep(sm)
	rpi.io.O_11_i06.value = bp
	time.sleep(sm)
	rpi.io.O_12_i06.value = bp
	time.sleep(sm)
	rpi.io.O_13_i06.value = bp
	time.sleep(sm)
	rpi.io.O_14_i06.value = bp
	time.sleep(sm)
	rpi.io.O_15_i06.value = bp
	time.sleep(sm)
	rpi.io.O_16_i06.value = bp
	time.sleep(sm)

def setDOOutput(rpi, bp):
	sm = 0.5
	rpi.io.O_1.value = bp
	time.sleep(sm)
	rpi.io.O_2.value = bp
	time.sleep(sm)
	rpi.io.O_3.value = bp
	time.sleep(sm)
	rpi.io.O_4.value = bp
	time.sleep(sm)
	rpi.io.O_5.value = bp
	time.sleep(sm)
	rpi.io.O_6.value = bp
	time.sleep(sm)
	rpi.io.O_7.value = bp
	time.sleep(sm)
	rpi.io.O_8.value = bp
	time.sleep(sm)
	rpi.io.O_9.value = bp
	time.sleep(sm)
	rpi.io.O_10.value = bp
	time.sleep(sm)
	rpi.io.O_11.value = bp
	time.sleep(sm)
	rpi.io.O_12.value = bp
	time.sleep(sm)
	rpi.io.O_13.value = bp
	time.sleep(sm)
	rpi.io.O_14.value = bp
	time.sleep(sm)
	rpi.io.O_15.value = bp
	time.sleep(sm)
	rpi.io.O_16.value = bp
	time.sleep(sm)

def main(argv):
	bdio = False
	bdo = False
	pdio = False
	pdo = False
	# because of delays in module loading of piControl, let's sleep first
	time.sleep(30)
	if len(sys.argv) == 1:
		print('setModuleOutputs.py --dio=<True|False> --do=<True|False>')
		sys.exit(2)
	try:
		opts, args = getopt.getopt(argv, "d:o:", ["dio=", "do="])
	except getopt.GetoptError:
		print('setModuleOutputs.py --dio=<True|False> --do=<True|False>')
		sys.exit(2)
	for opt, arg in opts:
		if opt in ("-d","--dio"):
			pdio = True
			bdio = str2bool(arg)
		elif opt in ("-o", "--do"):
			pdo = True
			bdo  =str2bool(arg)
		else:
			print('Unknown Parameter ' , opt)
			sys.exit(2)
	rpi=revpimodio2.RevPiModIO(autorefresh=True)
	if pdio == True:
		setDIOOutput(rpi, bdio)
	if pdo == True:
		setDOOutput(rpi, bdo)


if __name__ == "__main__":
	main(sys.argv[1:])
